Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.cache.lru
Class CacheMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<K,V>
              java.util.LinkedHashMap<K,V>
                  org.richfaces.util.LRUMap<Object,CacheEntry>
                      org.richfaces.cache.lru.CacheMap

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,CacheEntry>

    public final class CacheMap

extends org.richfaces.util.LRUMap<Object,CacheEntry>

User: akolonitsky Date: Oct 13, 2009

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`CacheMap()`
`CacheMap(int capacity)`

Method Summary
`void` | `clear()`
`PriorityQueue<CacheEntry>` | `getExpirationQueue()`
`void` | `purge()`
`CacheEntry` | `put(Object key, CacheEntry value)`
`CacheEntry` | `remove(Object key)`

Methods inherited from class org.richfaces.util.LRUMap
`removeEldestEntry`

Methods inherited from class java.util.LinkedHashMap
`containsValue, get`

Methods inherited from class java.util.HashMap
`clone, containsKey, entrySet, isEmpty, keySet, putAll, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, entrySet, equals, hashCode, isEmpty, keySet, putAll, size, values`

Constructor Detail

### CacheMap

    public CacheMap()

### CacheMap

    public CacheMap(int capacity)

Method Detail

### getExpirationQueue

    public PriorityQueue<CacheEntry> getExpirationQueue()

### put

    public CacheEntry put(Object key,
                          CacheEntry value)

  Specified by:
    `put` in interface `Map<Object,CacheEntry>`
  Overrides:
    `put` in class `HashMap<Object,CacheEntry>`

### remove

    public CacheEntry remove(Object key)

  Specified by:
    `remove` in interface `Map<Object,CacheEntry>`
  Overrides:
    `remove` in class `HashMap<Object,CacheEntry>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<Object,CacheEntry>`
  Overrides:
    `clear` in class `LinkedHashMap<Object,CacheEntry>`

### purge

    public void purge()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.